Subject: Re: bug#886: 23.0.60; Info-mouse-follow-nearest-node fails

From: Stephen Berman <[email-masked]>
Date: Mon, 15 Sep 2008 15:48:24 +0200

On Mon, 15 Sep 2008 14:11:38 +0200 martin rudalics <[email-masked]> wrote:

>> Does the following patch fix it?
>>
>> *** emacs/lisp/info.el.~1.544.~	2008-09-11 11:49:36.000000000 +0200
>> --- emacs/lisp/info.el	2008-09-15 11:22:53.000000000 +0200
>> ***************
>> *** 3123,3129 ****
>>   	    (Info-goto-node
>>   	     (Info-extract-menu-item (match-string-no-properties 1)) fork)
>>   	    t)))
>> !       (error "Point neither on reference nor in menu item description")))
>>
>>   ;; Common subroutine.
>>   (defun Info-try-follow-nearest-node (&optional fork)
>> --- 3123,3130 ----
>>   	    (Info-goto-node
>>   	     (Info-extract-menu-item (match-string-no-properties 1)) fork)
>>   	    t)))
>> !       (unless (eq this-command 'Info-mouse-follow-nearest-node)
>> ! 	(error "Point neither on reference nor in menu item description"))))
>>
>>   ;; Common subroutine.
>>   (defun Info-try-follow-nearest-node (&optional fork)
>
> Yes - the following seems simpler:
>
> !       (eq this-command 'Info-mouse-follow-nearest-node)
> ! 	(error "Point neither on reference nor in menu item description")))

Oops, yes of course.

> I'm not sure though whether we should raise an error for mouse-2 clicks.
> But I also fail to understand why we should raise an error at all.

I agree an error here is unnecessary and it would be better to remove
it.  I doubt any existing code depends on it.

Steve Berman